using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CallCenterApi.BLL
{
    public class T_CTI_TaskDaily
    {
        private readonly DAL.T_CTI_TaskDaily dal = new DAL.T_CTI_TaskDaily();

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        //获取以日期分组总列表
        public DataSet GetList()
        {
            return dal.GetList();
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<Model.T_CTI_TaskDaily> DataTableToList(DataTable dt)
        {
            List<Model.T_CTI_TaskDaily> modelList = new List<Model.T_CTI_TaskDaily>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                Model.T_CTI_TaskDaily model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel(dt.Rows[n], dt.Columns);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }
    }
}
